Download it now!
Bug 121447 - File: "Exit LibreOffice" doesn't work if "About LibreOffice" window is open in another document
Summary: File: "Exit LibreOffice" doesn't work if "About LibreOffice" window is open i...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2018-11-15 16:49 UTC by BogdanB
Modified: 2019-11-25 19:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
video showing the bug (1.30 MB, video/mp4)
2018-11-15 16:50 UTC, BogdanB
Details
video showing the bug (7.13 MB, video/mp4)
2018-11-18 16:01 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BogdanB 2018-11-15 16:49:13 UTC
Description:
See the video. 
Opening a new document. 
Go to File - > Exit LibreOffice -> the document should close

In fact nothing happend.

Version: 6.2.0.0.alpha1+
Build ID: 7eb71f84db2f2d9a6e79a42d25bb676cf1018a90
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-12_17:12:50
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Steps to Reproduce:
1. Open a new document in LO 6.2
2. Go to File -> Exit LibreOffice 


Actual Results:
nothing happened

Expected Results:
the document should close, or at least ask if I want to save


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: 7eb71f84db2f2d9a6e79a42d25bb676cf1018a90
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-12_17:12:50
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 BogdanB 2018-11-15 16:50:00 UTC
Created attachment 146671 [details]
video showing the bug
Comment 2 BogdanB 2018-11-15 17:02:32 UTC
The exact steps to reproduce:

Open Writer and go to Help - About Libre Office. (Don't close this file)
Now open a new Writer file. And try to close the last one from File - Exit Libre Office.

The second file is not closing because the first one is in page About Libre Office and this button became inactive. But it is not the same with X from the second file. X can close the second file in the same conditions.
Comment 3 Durgapriyanka 2018-11-16 17:42:01 UTC
Thank you for reporting the bug. I can confirm that the bug is present.

Version: 6.0.6.2
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 4 Roman Kuznetsov 2018-11-17 14:47:11 UTC
don't confirm in

Версия: 6.2.0.0.alpha1+
ID сборки: 7cf6cee97bc05512fae482733ee45f039e9d2160
Потоков ЦП: 4; ОС:Linux 4.18; Отрисовка ИП: по умолчанию; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-04_22:10:34
Локаль: ru-RU (ru_RU.UTF-8); Calc: threaded


gtk3 problem?
Comment 5 BogdanB 2018-11-17 18:49:04 UTC
(In reply to Roman Kuznetsov from comment #4)
> don't confirm in
> 
> Версия: 6.2.0.0.alpha1+
> ID сборки: 7cf6cee97bc05512fae482733ee45f039e9d2160
> Потоков ЦП: 4; ОС:Linux 4.18; Отрисовка ИП: по умолчанию; VCL: kde5; 
> TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
> 2018-11-04_22:10:34
> Локаль: ru-RU (ru_RU.UTF-8); Calc: threaded
> 
> 
> gtk3 problem?

Please try with informations from comment 2.

A new file opened with Help - About window, and then open a new window and try to exit with File - Exit Libre Office.
Comment 6 Roman Kuznetsov 2018-11-18 08:23:47 UTC
(In reply to BogdanB from comment #5)
> 
> Please try with informations from comment 2.
> 
> A new file opened with Help - About window, and then open a new window and
> try to exit with File - Exit Libre Office.

Dialog About is modal and it's expected behaviour
Comment 7 Dieter 2018-11-18 10:06:51 UTC
(In reply to BogdanB from comment #2)
> The exact steps to reproduce:
> 
> Open Writer and go to Help - About Libre Office. (Don't close this file)
> Now open a new Writer file.

I can't see these steps in your video and I can't open a new file, if "About Libre Office" is open.
Comment 8 BogdanB 2018-11-18 16:01:25 UTC
Created attachment 146720 [details]
video showing the bug

Please see my new video.

Two windows side by side. In the first case the Help - About is opened in the right Writer. I try to close Libre Office.
- Exit Libre Office is doing nothing
- X is closing just the current document

Two windows side by side. In the second case both windows are simply opened. I try to close Libre Office.
- Exit Libre Office is closing all documents
- X is closing just the current document

I consider the problem to be that Exit Libre Office is doing nothing in the first case inspite I was not doing nothing special in the right window.
Comment 9 Dieter 2018-11-19 09:42:35 UTC
I confirm this with

Version: 6.2.0.0.beta1 (x64)
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded

and

Version: 5.4.7.2 (x64)
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL

But I think the problem is more precise "Exit LibreOffice doesn't work" if "About LibreOffice" window is open. It does work, if there are dialogs open (I treid with Format => Chareacters and Insert => Characters). So I would expect, that it also works in case of the about-window.
Comment 10 BogdanB 2018-11-19 09:46:34 UTC
> But I think the problem is more precise "Exit LibreOffice doesn't work" if
> "About LibreOffice" window is open. It does work, if there are dialogs open
> (I treid with Format => Chareacters and Insert => Characters). So I would
> expect, that it also works in case of the about-window.


I agree with you. It is much better described now.
Comment 11 Xisco Faulí 2018-11-19 10:22:23 UTC
Also reproduced in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 12 QA Administrators 2019-11-20 03:50:53 UTC Comment hidden (obsolete)
Comment 13 BogdanB 2019-11-21 07:06:15 UTC
I tested now on Windows 10:

Version: 6.3.3.2 (x64)
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: ro-RO (ro_RO); UI-Language: en-US
Calc: threaded

The option "Exit LibreOffice" from the File menu is inactive. It's better than to be active and not working.

I want to test this evening on Linux.
Comment 14 BogdanB 2019-11-25 19:03:09 UTC
It's the same thing on Linux.
The option to close the other window is disable now, so this bug is solved.

Verified on
Version: 6.3.3.2
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

I supose this was fixed by another change in code.
Comment 15 Xisco Faulí 2019-11-25 19:35:52 UTC
Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.